Package com.independentsoft.office.spreadsheet

# Class Hyperlink

java.lang.Object
com.independentsoft.office.spreadsheet.Hyperlink

public class Hyperlink extends Object
The Class Hyperlink.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Hyperlink()`
  Instantiates a new hyperlink.
  `Hyperlink​(String location)`
  Instantiates a new hyperlink.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Hyperlink`
  `clone()`
  `String`
  `getDisplay()`
  Gets the display.
  `String`
  `getLocation()`
  Gets the location.
  `String`
  `getReference()`
  Gets the reference.
  `String`
  `getToolTip()`
  Gets the tool tip.
  `boolean`
  `isExternal()`
  Checks if is external.
  `void`
  `setDisplay​(String display)`
  Sets the display.
  `void`
  `setExternal​(boolean isExternal)`
  Sets the external.
  `void`
  `setLocation​(String location)`
  Sets the location.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setToolTip​(String toolTip)`
  Sets the tool tip.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Hyperlink

    public Hyperlink()
    Instantiates a new hyperlink.

  - ### Hyperlink

    public Hyperlink​(String location)
    Instantiates a new hyperlink.
    Parameters:
      `location` - the location

- ## Method Details

  - ### clone

    public Hyperlink clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDisplay

    public String getDisplay()
    Gets the display.
    Returns:
      the display

  - ### setDisplay

    public void setDisplay​(String display)
    Sets the display.
    Parameters:
      `display` - the new display

  - ### getLocation

    public String getLocation()
    Gets the location.
    Returns:
      the location

  - ### setLocation

    public void setLocation​(String location)
    Sets the location.
    Parameters:
      `location` - the new location

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getToolTip

    public String getToolTip()
    Gets the tool tip.
    Returns:
      the tool tip

  - ### setToolTip

    public void setToolTip​(String toolTip)
    Sets the tool tip.
    Parameters:
      `toolTip` - the new tool tip

  - ### isExternal

    public boolean isExternal()
    Checks if is external.
    Returns:
      true, if is external

  - ### setExternal

    public void setExternal​(boolean isExternal)
    Sets the external.
    Parameters:
      `isExternal` - the new external